org.eclipse.viatra.transformation.evm.specific.job

## Class ErrorLoggingJob<EventAtom>

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.Job<EventAtom>
  - - org.eclipse.viatra.transformation.evm.api.CompositeJob<EventAtom>
    - - org.eclipse.viatra.transformation.evm.specific.job.ErrorLoggingJob<EventAtom>

-     public class ErrorLoggingJob<EventAtom>
      extends CompositeJob<EventAtom>

  Composite job for logging any errors that happen in the execution of the composed job.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorLoggingJob(Job<EventAtom> job)` Composes the given job into an error logging job.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleError(Activation<? extends EventAtom> activation, java.lang.Exception exception, Context context)` Called if the `Job.execute(org.eclipse.viatra.transformation.evm.api.Activation<? extends EventAtom>, org.eclipse.viatra.transformation.evm.api.Context)` method has thrown an exception to allow jobs to handle their own errors.

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.api.CompositeJob

      `execute`

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.api.Job

      `getActivationState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorLoggingJob

          public ErrorLoggingJob(Job<EventAtom> job)

      Composes the given job into an error logging job.
      Parameters:
        `job` - the composed job

  - ### Method Detail

    - #### handleError

          protected void handleError(Activation<? extends EventAtom> activation,
                                     java.lang.Exception exception,
                                     Context context)

      Description copied from class: `Job`
      Called if the `Job.execute(org.eclipse.viatra.transformation.evm.api.Activation<? extends EventAtom>, org.eclipse.viatra.transformation.evm.api.Context)` method has thrown an exception to allow jobs to handle their own errors.
      Overrides:
        `handleError` in class `CompositeJob<EventAtom>`